Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 321)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 322)
@@ -191,7 +191,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1C30BC80C236E7B00EAE48A</string>
+				<string>E14E2CFC0C2CCF2900AC18D0</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>Info-APE Module.plist</string>
+				<string>ICeCoffEE.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -199,45 +199,5 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1C30BC90C236E7B00EAE48A</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>Info-APE Module.plist</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1C30C410C23752F00EAE48A</string>
-						<key>history</key>
-						<array>
-							<string>E1C30BE00C236EBE00EAE48A</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {746, 491}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>774 26 746 511 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1C30A8E0C224B3A00EAE48A</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEE.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1C30A8F0C224B3A00EAE48A</string>
+						<string>E14E2CFD0C2CCF2900AC18D0</string>
 						<key>PBXProjectModuleLabel</key>
 						<string>ICeCoffEE.m</string>
@@ -245,8 +205,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30C420C23752F00EAE48A</string>
+						<string>E14E2D830C2DBDCE00AC18D0</string>
 						<key>history</key>
 						<array>
-							<string>E1C30A8A0C224B3200EAE48A</string>
+							<string>E14E2D820C2DBDCE00AC18D0</string>
 						</array>
 					</dict>
@@ -271,7 +231,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1C30A970C224B3A00EAE48A</string>
+				<string>E14E2B470C2CC05E00AC18D0</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEETerminal.m</string>
+				<string>TestParser.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -279,14 +239,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1C30A980C224B3A00EAE48A</string>
+						<string>E14E2B480C2CC05E00AC18D0</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEETerminal.m</string>
+						<string>TestParser.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30C430C23752F00EAE48A</string>
+						<string>E14E2D840C2DBDCE00AC18D0</string>
 						<key>history</key>
 						<array>
-							<string>E1C30A7D0C2245EB00EAE48A</string>
+							<string>E14E2D5A0C2CD1F400AC18D0</string>
 						</array>
 					</dict>
@@ -304,5 +264,426 @@
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>848 44 772 816 0 0 1680 1028 </string>
+				<string>547 64 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2CCA0C2CCEB500AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEParser.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2CCB0C2CCEB500AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEParser.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D850C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2CF90C2CCF2900AC18D0</string>
+							<string>E14E2D5C0C2CD1F400AC18D0</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E14E2CCE0C2CCEB500AC18D0</string>
+							<string>E14E2CFA0C2CCF2900AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>874 62 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2CFF0C2CCF2900AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEConfig.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2D000C2CCF2900AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEConfig.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D860C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2CF20C2CCF0500AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {750, 482}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>84 244 750 502 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2BFF0C2CC81800AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEParser.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2C000C2CC81800AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEParser.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D870C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2CA80C2CCE3400AC18D0</string>
+							<string>E14E2CA90C2CCE3400AC18D0</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E14E2C810C2CCD0C00AC18D0</string>
+							<string>E14E2C820C2CCD0C00AC18D0</string>
+							<string>E14E2C830C2CCD0C00AC18D0</string>
+							<string>E14E2C840C2CCD0C00AC18D0</string>
+							<string>E14E2C850C2CCD0C00AC18D0</string>
+							<string>E14E2C860C2CCD0C00AC18D0</string>
+							<string>E14E2C870C2CCD0C00AC18D0</string>
+							<string>E14E2CAA0C2CCE3400AC18D0</string>
+							<string>E14E2CAB0C2CCE3400AC18D0</string>
+							<string>E14E2CAC0C2CCE3400AC18D0</string>
+							<string>E14E2CAD0C2CCE3400AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>874 62 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2BE60C2CC68A00AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>NSArray.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2BE70C2CC68A00AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>NSArray.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D880C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2BE80C2CC68A00AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>38 186 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2BEA0C2CC68A00AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>NSString.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2BEB0C2CC68A00AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>NSString.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D890C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2BEC0C2CC68A00AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>42 115 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2AD40C2B798C00AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEServices.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2AD50C2B798C00AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEServices.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D8A0C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2A9A0C28BB3100AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {841, 947}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>484 61 841 967 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2A1A0C28B65200AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>TestLocalizations.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2A1B0C28B65200AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>TestLocalizations.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D8B0C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2A1C0C28B65200AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>459 93 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2AD80C2B798C00AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFLocale.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2AD90C2B798C00AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFLocale.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D8C0C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2ADA0C2B798C00AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>107 123 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2ADE0C2B798C00AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFBundle.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2ADF0C2B798C00AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFBundle.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D8D0C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14E2AE00C2B798C00AC18D0</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>84 144 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1C30C1A0C2372E400EAE48A</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1C30C1B0C2372E400EAE48A</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E14E2D8E0C2DBDCE00AC18D0</string>
+						<key>history</key>
+						<array>
+							<string>E14209DD0C277DD1009C8BB2</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {841, 947}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>835 61 841 967 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -325,8 +706,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30C440C23752F00EAE48A</string>
+						<string>E14E2D8F0C2DBDCE00AC18D0</string>
 						<key>history</key>
 						<array>
-							<string>E1C30A7B0C2244A200EAE48A</string>
+							<string>E14209DA0C277DD1009C8BB2</string>
 						</array>
 					</dict>
@@ -344,5 +725,5 @@
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>834 90 867 906 0 0 1680 1028 </string>
+				<string>128 118 867 906 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -351,7 +732,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1C30C1A0C2372E400EAE48A</string>
+				<string>E1C30C470C23773000EAE48A</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
+				<string>APEInfo.rtfd</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -359,14 +740,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1C30C1B0C2372E400EAE48A</string>
+						<string>E1C30C480C23773000EAE48A</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
+						<string>APEInfo.rtfd</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30C450C23752F00EAE48A</string>
+						<string>E14E2D900C2DBDCE00AC18D0</string>
 						<key>history</key>
 						<array>
-							<string>E1C30C0E0C2372CB00EAE48A</string>
+							<string>E14209DB0C277DD1009C8BB2</string>
 						</array>
 					</dict>
@@ -380,9 +761,41 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {841, 947}}</string>
+				<string>{{0, -1}, {754, 726}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>835 61 841 967 0 0 1680 1028 </string>
+				<string>856 25 754 746 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E14E2BF00C2CC68A00AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>urls.plist</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2BF10C2CC68A00AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>urls.plist</string>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>61 165 772 816 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -399,5 +812,4 @@
 				<string>buildOrClean</string>
 				<string>build-and-runOrDebug</string>
-				<string>clean</string>
 				<string>com.apple.ide.PBXToolbarStopButton</string>
 				<string>NSToolbarFlexibleSpaceItem</string>
@@ -453,10 +865,8 @@
 										<string>29B97315FDCFA39411CA2CEA</string>
 										<string>E1AFA51C03ECFDB000050001</string>
-										<string>E12FEC3C04959F1C00AEFBF9</string>
-										<string>E1BF159F03DBA81600050002</string>
-										<string>E1BF15A203DBAA5600050002</string>
+										<string>E14E2B3F0C2CC01700AC18D0</string>
 										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
-										<string>E12FEC6104959FB800AEFBF9</string>
+										<string>29B97323FDCFA39411CA2CEA</string>
 										<string>19C28FACFE9D520D11CA2CBB</string>
 									</array>
@@ -464,9 +874,11 @@
 									<array>
 										<array>
+											<integer>44</integer>
+											<integer>42</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {298, 621}}</string>
+									<string>{{0, 518}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -487,5 +899,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1352 321 315 707 0 0 1680 1028 </string>
+								<string>1356 319 315 707 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -522,15 +934,13 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E1C30B700C236C2600EAE48A</string>
-										<string>E1C30B710C236C2600EAE48A</string>
-										<string>E1C30B720C236C2600EAE48A</string>
-										<string>E1C30B730C236C2600EAE48A</string>
-										<string>E1C30B740C236C2600EAE48A</string>
+										<string>E14E2B660C2CC10900AC18D0</string>
+										<string>E14E2C620C2CCC6100AC18D0</string>
+										<string>1C37FAAC04509CD000000102</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>16</integer>
-											<integer>4</integer>
+											<integer>7</integer>
+											<integer>5</integer>
 											<integer>0</integer>
 										</array>
@@ -633,6 +1043,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1C3096A0C22420700EAE48A</string>
-				<string>E1C3096B0C22420700EAE48A</string>
+				<string>E14E28ED0C28944500AC18D0</string>
+				<string>E14E28EE0C28944500AC18D0</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -656,5 +1066,5 @@
 	<integer>2</integer>
 	<key>ToolbarIsVisible</key>
-	<true/>
+	<false/>
 	<key>ToolbarSizeMode</key>
 	<integer>2</integer>
@@ -667,17 +1077,31 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E18B4838082F0937000E96F5</string>
-		<string>1C0AD2B3069F1EA900FABCE6</string>
+		<string>E14E2D360C2CCFB200AC18D0</string>
+		<string>E14E2D370C2CCFB200AC18D0</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>E14E2D340C2CCFB200AC18D0</string>
+		<string>E14E2BF00C2CC68A00AC18D0</string>
+		<string>E1C30C470C23773000EAE48A</string>
+		<string>E1C30A9A0C224B3A00EAE48A</string>
 		<string>E1C30C1A0C2372E400EAE48A</string>
-		<string>E1C30A9A0C224B3A00EAE48A</string>
-		<string>E1C30A970C224B3A00EAE48A</string>
-		<string>E1C30A8E0C224B3A00EAE48A</string>
-		<string>E1C30BC80C236E7B00EAE48A</string>
+		<string>E14E2ADE0C2B798C00AC18D0</string>
+		<string>E14E2AD80C2B798C00AC18D0</string>
+		<string>E14E2A1A0C28B65200AC18D0</string>
+		<string>E14E2AD40C2B798C00AC18D0</string>
+		<string>E14E2BEA0C2CC68A00AC18D0</string>
+		<string>E14E2BE60C2CC68A00AC18D0</string>
+		<string>E14E2BFF0C2CC81800AC18D0</string>
+		<string>E14E2CFF0C2CCF2900AC18D0</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>E14E2CCA0C2CCEB500AC18D0</string>
+		<string>1C0AD2B3069F1EA900FABCE6</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E14E2B470C2CC05E00AC18D0</string>
+		<string>E14E2CFC0C2CCF2900AC18D0</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1352 321 315 707 0 0 1680 1028 </string>
+	<string>1356 319 315 707 0 0 1680 1028 </string>
 	<key>WindowTools</key>
 	<array>
@@ -845,7 +1269,7 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {868, 0}}</string>
+								<string>{{0, 0}, {829, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>648 51 868 452 0 0 1680 1028 </string>
+								<string>820 40 829 276 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -859,6 +1283,4 @@
 							<key>ContentConfiguration</key>
 							<dict>
-								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 98}, {868, 329}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -873,16 +1295,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 5}, {868, 427}}</string>
+								<string>{{0, 5}, {829, 251}}</string>
 								<key>RubberWindowFrame</key>
-								<string>648 51 868 452 0 0 1680 1028 </string>
+								<string>820 40 829 276 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXBuildResultsModule</string>
 							<key>Proportion</key>
-							<string>427pt</string>
+							<string>251pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>432pt</string>
+					<string>256pt</string>
 				</dict>
 			</array>
@@ -898,5 +1320,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1C30AA40C224B3A00EAE48A</string>
+				<string>E14E2A200C28B65200AC18D0</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -905,5 +1327,5 @@
 			<string>xcode.toolbar.config.build</string>
 			<key>WindowString</key>
-			<string>648 51 868 452 0 0 1680 1028 </string>
+			<string>820 40 829 276 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -940,6 +1362,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {364, 302}}</string>
-											<string>{{364, 0}, {438, 302}}</string>
+											<string>{{0, 0}, {362, 310}}</string>
+											<string>{{362, 0}, {440, 310}}</string>
 										</array>
 									</dict>
@@ -956,6 +1378,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {802, 302}}</string>
-											<string>{{0, 302}, {802, 303}}</string>
+											<string>{{0, 0}, {802, 310}}</string>
+											<string>{{0, 310}, {802, 295}}</string>
 										</array>
 									</dict>
@@ -1004,12 +1426,12 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E189C93E0C1B8A76003035DA</string>
+				<string>E14E2D2E0C2CCFB200AC18D0</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E189C93F0C1B8A76003035DA</string>
-				<string>E189C9400C1B8A76003035DA</string>
-				<string>E189C9410C1B8A76003035DA</string>
-				<string>E189C9420C1B8A76003035DA</string>
-				<string>E189C9430C1B8A76003035DA</string>
-				<string>E189C9440C1B8A76003035DA</string>
+				<string>E14E2D2F0C2CCFB200AC18D0</string>
+				<string>E14E2D300C2CCFB200AC18D0</string>
+				<string>E14E2D310C2CCFB200AC18D0</string>
+				<string>E14E2D320C2CCFB200AC18D0</string>
+				<string>E14E2D330C2CCFB200AC18D0</string>
+				<string>E14E2D340C2CCFB200AC18D0</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -1020,5 +1442,5 @@
 			<string>1C530D54069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1038,6 +1460,4 @@
 							<array>
 								<dict>
-									<key>BecomeActive</key>
-									<true/>
 									<key>ContentConfiguration</key>
 									<dict>
@@ -1045,5 +1465,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEENonHighlightingButtonCell.m</string>
+										<string>APEMain.m</string>
 										<key>StatusBarVisibility</key>
 										<false/>
@@ -1054,5 +1474,5 @@
 										<string>{{0, 0}, {854, 393}}</string>
 										<key>RubberWindowFrame</key>
-										<string>761 -74 854 724 0 0 1680 1028 </string>
+										<string>807 61 854 724 0 0 1680 1028 </string>
 									</dict>
 									<key>Module</key>
@@ -1066,4 +1486,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1078,5 +1500,5 @@
 								<string>{{0, 398}, {854, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>761 -74 854 724 0 0 1680 1028 </string>
+								<string>807 61 854 724 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -1101,11 +1523,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E1C30AA50C224B3A00EAE48A</string>
-				<string>E1C30AA60C224B3A00EAE48A</string>
+				<string>E14E2AE80C2B798C00AC18D0</string>
+				<string>E14E2AE90C2B798C00AC18D0</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>761 -74 854 724 0 0 1680 1028 </string>
+			<string>807 61 854 724 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -1130,6 +1552,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1167,5 +1587,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E189CABD0C1BBB21003035DA</string>
+				<string>E14E2D350C2CCFB200AC18D0</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1237,16 +1657,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {869, 782}}</string>
+								<string>{{0, 0}, {850, 229}}</string>
 								<key>RubberWindowFrame</key>
-								<string>574 34 869 802 0 0 1680 1028 </string>
+								<string>111 78 850 249 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXRunSessionModule</string>
 							<key>Proportion</key>
-							<string>782pt</string>
+							<string>229pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>782pt</string>
+					<string>229pt</string>
 				</dict>
 			</array>
@@ -1262,16 +1682,16 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>E1C309730C22420700EAE48A</string>
+				<string>E14E2B850C2CC13D00AC18D0</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>E1C309740C22420700EAE48A</string>
+				<string>E14E2B860C2CC13D00AC18D0</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.run</string>
 			<key>WindowString</key>
-			<string>574 34 869 802 0 0 1680 1028 </string>
+			<string>111 78 850 249 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C0AD2B3069F1EA900FABCE6</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
